APICars
Create a car
Adds a car to the authenticated user garage.
POST
Adds a car to the authenticated user garage.
sessionAuthcookie
better-auth.session_token<token>Better Auth session cookie (on HTTPS: __Secure-better-auth.session_token), forwarded to the login server's /api/auth/get-session
application/json- body
brand*stringLength
1 <= lengthmodel*stringLength
1 <= lengthyear*integerRange
1950 <= value <= 9007199254740991color?string|nullphotoUrl?|unknown|nulldoors?|nullseats?|nullbodyType?string|nulltrunkCapacityLiters?|nullOK
application/json- response
success*booleanid*stringcurl -X POST 'https://example.com/api/cars' \ -H 'Content-Type: application/json' \ -d '{ "brand": "string", "model": "string", "year": 1950}'Example Response
{ "success": true, "id": "string"}